Subject: How to update? (git Changed but not updated)

From: "Reto S. News" <[email-masked]>
Date: Sat, 21 Feb 2009 22:23:01 +0100

Beginner question: "How to update the pushed changes on the master?"

As a proof of concept to switch from CVS to git I prepared an
environment on two servers. I call the one "Slave" and "Master"
the other. Almost everything is working besides a silly
"cvs update" functionality I couldn't still find out after hours.

On Slave Host (a Developer that receives a working copy of a project):

$ git clone git://master.example.net/test myrepo
$ cd myrepo   # ... here I see all received files from the master
$ Changing file "foo.txt"
$ git add .   # ... for whatever reason this is necessary
$ git commit -m 'I changed this file'
$ git push

On Master Host (master.example.net):

# git status # Shows me correctly foo.txt has been changed by the"Slave"
# git show   # Shows me even the made changes in a diff style!

Now I have to update the fresh content produced by the "Slave". As an
ugly work-around, I'm currently cloning it again from localhost :-|

Any suggestions are very appreciated.

--reto